﻿/*
 * VitalSite Global Javascript File, for Web API plug-ins
 *
 * To minify custom scripts, use this site:
 * http://compressorrater.thruhere.net/
 *
 * ...and most often choose the "JSMin" output.
 * Once gzipped, there is very little difference from
 * other options such as "packer" and is the safest.
 */

/* Event Web API plugin */
(function($){var _base_url="/api/calendar/events";var _upcoming_route="/upcoming";var _base_version=1;$.getUpcomingEvents=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL(settings)+_upcoming_route;delete settings.host;return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};$.getEventById=function(options,successCallback,failureCallback){$.error('Events By ID is not implemented yet!');};function getURL(settings){var retUrl=settings.host+_base_url+((typeof settings.eventId!='undefined')?settings.eventId:'');return retUrl;}
function _processOptions(options,type){if(typeof type=="undefined"){type=0;}
var _byIdDefaults={host:'',eventId:null,version:_base_version};var _getEventsDefaults={host:'',version:_base_version,pageNumber:1,pageSize:10,sort:1,criteria:{keyword:'',relatedTerms:''}};var _defaults=null;if(type==0)_defaults=_getEventsDefaults;else if(type==1)_defaults=_byIdDefaults;return $.extend(_defaults,options);}})(jQuery);

/* Provider Web API plugin */
(function($){var _base_url='/api/providers/';var _base_version=1;$.getProviderById=function(options,successCallback,failureCallback){var settings=_processOptions(options,1);var jsonUrl=getURL(settings);var data;delete settings.host;if(typeof settings.providerId=="string"){settings.providerId=$.trim(settings.providerId);}
if(settings.providerId==null||settings.providerId.length==0){data='Provider ID was null, please pass provider ID as 1st parameter.';if(typeof failureCallback=='function'){failureCallback.call(this,data);return null;}
$.error(data);}
return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};$.getProvidersByIds=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=settings.host+_base_url+'getProviders';if(settings.ids==null||settings.ids.length==null||settings.ids.length==0){var data="Array of ProviderIDs was null. Please pass an array of provider identifiers as the 1st parameter.";if(typeof failureCallback=='function'){failureCallback.call(this,data);return null;}
$.error(data);}
delete settings.host;return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};$.getProviders=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL(settings);delete settings.host;return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};$.getProviderNamesList=function(options,successCallback,failureCallback){var settings=_processOptions(options,2);var jsonUrl=settings.host+'/nancy/providers/ProviderNamesList/viewmodel.json';delete settings.host;return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};function getURL(settings){var retUrl=settings.host+_base_url+((typeof settings.providerId!='undefined')?settings.providerId:'');return retUrl;}
function _processOptions(options,type){if(typeof type=="undefined"){type=0;}
var _byIdDefaults={host:'',providerId:null,version:_base_version,fields:'all'};var _getNamesListDefaults={host:'',version:_base_version};if((typeof options.doctorSort!='undefined')&&(!isNaN(options.doctorSort))){options.sort=options.doctorSort;delete options.doctorSort;}
var _getProvidersDefaults={host:'',version:_base_version,pageNumber:1,pageSize:10,sort:1,fields:'all',criteria:{keyword:""},searchId:""};var _defaults=null;if(type==0)_defaults=_getProvidersDefaults;else if(type==1)_defaults=_byIdDefaults;else if(type==2)_defaults=_getNamesListDefaults;return $.extend(_defaults,options);}})(jQuery);

/* Taxonomy Web API plugin */
(function($){var _base_url="/api/taxonomy";var _base_version=1;$.getTermById=function(options,successCallback,failureCallback){var settings=_processOptions(options,1);var jsonUrl=getURL('/terms',settings);var data;delete settings.host;if(typeof settings.termId=="string"){settings.termId=$.trim(settings.termId);}
if(settings.termId==null||settings.termId.length==0){data='Term ID was null, please pass term ID as 1st parameter.';if(typeof failureCallback=='function'){failureCallback.call(this,data);return null;}
$.error(data);}
return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};function getURL(url_extension,settings){var retUrl=settings.host+_base_url+url_extension+((typeof settings.termId!='undefined')?('/'+settings.termId):'');return retUrl;}
function _processOptions(options,type){if(typeof type=="undefined"){type=0;}
var _termByIdDefaults={host:'',termId:null,version:_base_version};var _defaults=_termByIdDefaults;return $.extend(_defaults,options);}})(jQuery);


/* Nancy MVC Provider API Plugin */
(function($){var _base_url='/nancy/providers';var _base_version=1;$.getProvidersHtml=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL('/ProviderApiList',settings);delete settings.host;return $.getWebApiHtml(jsonUrl,_base_version,settings,successCallback,failureCallback);};function getURL(url_extension,settings){var retUrl=((typeof settings.host!='undefined')?settings.host:'')+_base_url+url_extension;return retUrl;}
function ConvertObjectToLowerCaseKeys(obj){$.each(obj,function(i,v){obj[i.toLowerCase()]=v;if(i!=i.toLowerCase()){delete obj[i];}});return obj;}
function _processOptions(options,type){if(typeof type=="undefined"){type=0;}
var _getMvcProvidersDefaults={host:'',version:_base_version,pageNumber:1,pageSize:10,sort:3};var _defaults=null;if(type===0)_defaults=_getMvcProvidersDefaults;var lowerOptions=ConvertObjectToLowerCaseKeys(options);var lowerDefaults=ConvertObjectToLowerCaseKeys(_defaults);return $.extend(true,lowerDefaults,lowerOptions);}})(jQuery);

/* Nancy MVC Provider Ratings API Plugin */
(function($){var _base_url='/nancy/providers/';var _base_version=1;$.getProviderRatingsHtml=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL(settings)+'/ratingsresults';var data;delete settings.host;if(typeof settings.providerId=="string"){settings.providerId=$.trim(settings.providerId);}
if(settings.providerId==null||settings.providerId.length==0){data='Provider ID was null, please pass provider ID as 1st parameter.';if(typeof failureCallback=='function'){failureCallback.call(this,data);return null;}
$.error(data);}
return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};$.getProviderRatingsListByIds=function(options,successCallback,failureCallback){var settings=_processOptions(options,1);var jsonUrl=getURL(settings)+'/ProviderRatingsList/viewmodel.json';var data;delete settings.host;if(settings.providerIds==null||settings.providerIds.length==0){data='List of ProviderIDs was null, please pass the list of unique provider identifiers used for mapping providers to ratings as 1st parameter.';if(typeof failureCallback=='function'){failureCallback.call(this,data);return null;}
$.error(data);}
return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};function getURL(settings){var retUrl=settings.host+_base_url+((typeof settings.providerId!='undefined')?settings.providerId:'');return retUrl;}
function _processOptions(options,type){if(typeof type=="undefined"){type=0;}
var _byIdDefaults={host:'',providerId:null};var _listDefaults={host:''};var _defaults=null;if(type==0)_defaults=_byIdDefaults;else if(type==1)_defaults=_listDefaults;return $.extend(_defaults,options);}})(jQuery);

/* Nancy MVC WordPress API Plugin */
(function($){var _base_url='/nancy/WordPress/';var _base_version=1;$.getWordPressPostsHtml=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL(settings);delete settings.host;return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};function getURL(settings){var retUrl=settings.host+_base_url+'/BlogPostListView';return retUrl;}
    function _processOptions(options) { var _byIdDefaults = { host: '' }; var _defaults = _byIdDefaults; return $.extend(_defaults, options); }
})(jQuery);

/* CmsPage API plugin */
(function ($) {var _base_url = '/api/cmspages/'; var _base_version = 1; $.getCmsPages = function (options, successCallback, failureCallback) { var settings = _processOptions(options); var jsonUrl = getURL(settings); delete settings.host; return $.getWebApiJsonObject(jsonUrl, _base_version, settings, successCallback, failureCallback); }; function getURL(settings) { var retUrl = settings.host + _base_url + ((typeof settings.pageId != 'undefined') ? settings.pageId : ''); return retUrl; } function ConvertObjectToLowerCaseKeys(obj) { $.each(obj, function (i, v) { obj[i.toLowerCase()] = v; if (i != i.toLowerCase()) { delete obj[i]; } }); return obj; }
	function _processOptions(options, type) { if (typeof type == "undefined") { type = 0; } var _getCmsPagesDefaults = { host: '', version: _base_version, pageNumber: 1, pageSize: 10, sort: 3, fields: 'all', criteria: { keyword: "" }, searchId: "" }; var _defaults = null; if (type == 0) _defaults = _getCmsPagesDefaults; var lowerOptions = ConvertObjectToLowerCaseKeys(options); var lowerDefaults = ConvertObjectToLowerCaseKeys(_defaults); return $.extend(true, lowerDefaults, lowerOptions); }
})(jQuery);

/* Taxonomy API plugin */
(function($){var _base_url='/nancy/taxonomy/';var _base_version=1;$.getFacetsAndObjectCountHtml=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL(settings);delete settings.host;return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};function getURL(settings){var retUrl=settings.host+_base_url+'/FacetsAndObjectCount';return retUrl;}
    function _processOptions(options) { var _byIdDefaults = { host: '' }; var _defaults = _byIdDefaults; return $.extend(_defaults, options); }
})(jQuery);

/* Feed API plugin */
(function($){var _base_url='/nancy/feed/';var _base_version=1;$.getFeedHtml=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL(settings);var data;delete settings.host;var url=settings.Url||settings.url;if(url==null||url.length==0){data='Url was null, please pass feed Url as 1st parameter.';if(typeof failureCallback=='function'){failureCallback.call(this,data);return null;}
$.error(data);}
return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};function getURL(settings){var retUrl=settings.host+_base_url;return retUrl;}
function _processOptions(options) { var _byIdDefaults = { host: '' }; var _defaults = _byIdDefaults; return $.extend(_defaults, options); }
})(jQuery);

/* Social Media API plugin */
(function($){var _base_url='/nancy/socialmedia/';var _base_version=1;$.getSocialMediaHtml=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL(settings);var data;delete settings.host;var name=settings.Name||settings.name;if(name==null||name.length==0){data='Name was null, please pass social media name configured as the 1st parameter.';if(typeof failureCallback=='function'){failureCallback.call(this,data);return null;} 
$.error(data);} return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback);};function getURL(settings){var retUrl=settings.host+_base_url+((typeof settings.name!='undefined')?settings.name:'');return retUrl;} 
function _processOptions(options){var _byNameDefaults={host:'',name:null};var _defaults=_byNameDefaults;return $.extend(_defaults,options);}})(jQuery);

/* Locations API plugin */
(function($){var _base_url='/api/locations/';var _base_version=1;$.getLocationsByIds=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL(settings)+'getlocations';var data;delete settings.host;if(settings.locationIds==null||settings.locationIds.length==0){data='Array of LocationIDs was null. Please pass an array of location identifiers as the 1st parameter.';if(typeof failureCallback=='function'){failureCallback.call(this,data);return null}
$.error(data)}
return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback)};$.getLocationById=function(options,successCallback,failureCallback){var settings=_processOptions(options,1);var data;if(typeof settings.locationId=="string"){settings.locationId=$.trim(settings.locationId)}
if(settings.locationId==null||settings.locationId.length==0){data='Location ID was null, please pass Location ID as 1st parameter.';if(typeof failureCallback=='function'){failureCallback.call(this,data);return null}
$.error(data)}
var jsonUrl=getURL(settings)+settings.locationId;delete settings.host;delete settings.locationId;return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback)};$.getLocations=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=getURL(settings);delete settings.host;return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback)};$.getLocationsHtml=function(options,successCallback,failureCallback){var settings=_processOptions(options);var jsonUrl=settings.host+'/nancy/locations/locationApiList';delete settings.host;return $.getWebApiJsonObject(jsonUrl,_base_version,settings,successCallback,failureCallback)};function getURL(settings){var retUrl=settings.host+_base_url;return retUrl}
function _processOptions(options){var _byIdDefaults={host:'',fields:'all'};var _defaults=_byIdDefaults;return $.extend(_defaults,options)}})(jQuery)
